> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single attribute

> Retrieves a specific attribute by its ID for a given application ID.



## OpenAPI

````yaml /swagger/auth-api.json get /api/v1/{app_id}/attributes/{attribute_id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Auth API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //customers.enad.io
security: []
paths:
  /api/v1/{app_id}/attributes/{attribute_id}:
    get:
      tags:
        - Attributes
      summary: Get a single attribute
      description: Retrieves a specific attribute by its ID for a given application ID.
      parameters:
        - description: Application ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: Attribute ID
          in: path
          name: attribute_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The requested attribute
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Attribute'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.HttpError
        '404':
          description: Attribute not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.HttpError
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.HttpError
components:
  schemas:
    Attribute:
      description: Attribute represents a product attribute with its complete information.
      properties:
        description:
          type: string
        id:
          type: string
        key:
          type: string
        name:
          type: string
        template_key:
          type: string
        translations:
          $ref: '#/components/schemas/AttributeTranslations'
        values:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeValue'
            type: array
          type: object
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.HttpError:
      properties:
        code:
          $ref: >-
            #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.Status
        details:
          items:
            type: string
          type: array
        extra_fields:
          additionalProperties:
            type: string
          type: object
        message:
          type: string
      type: object
    AttributeTranslations:
      description: >-
        AttributeTranslations contains translations for attribute names and
        descriptions.
      properties:
        description:
          additionalProperties:
            type: string
          type: object
        name:
          additionalProperties:
            type: string
          type: object
      type: object
    AttributeValue:
      description: >-
        AttributeValue represents an attribute value with its translations and
        type.
      properties:
        translations:
          $ref: '#/components/schemas/AttributeValueTranslations'
        type:
          type: string
        value:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.Status:
      enum:
        - 201
        - 403
        - 401
        - 500
        - 404
        - 400
        - 409
      type: integer
      x-enum-varnames:
        - StatusCreated
        - StatusForbidden
        - StatusNotAuthorized
        - StatusInternalError
        - StatusNotFound
        - StatusBadRequest
        - StatusConflict
    AttributeValueTranslations:
      description: >-
        AttributeValueTranslations contains translations for attribute values in
        different languages.
      properties:
        value:
          additionalProperties:
            type: string
          type: object
      type: object

````